/* Example: formatting float/double data using printf */

#include <stdio.h>

main()
{
  double a = 123.4;  /* These could all be floats */
  double b = -567.8;
  double c = 987654321;
  double d = -0.00008765;
  
  puts("a = 123.4");
  puts("b = -567.8");
  puts("c = 987654321");
  puts("d = -0.00008765");
  
  puts("\n|...| is used to show the field width.\n");
  
  printf("Using %%f,     a = |%f|\n", a);
  printf("              b = |%f|\n", b);
  printf("              c = |%f|\n", c);
  printf("              d = |%f|\n\n", d);
  
  printf("Using %%8.3f,  a = |%8.3f|\n", a);
  printf("              b = |%8.3f|\n", b);
  printf("              c = |%8.3f|\n", c);
  printf("              d = |%8.3f|\n\n", d);
  
  printf("Using %%E,     a = |%E|\n", a);
  printf("              b = |%E|\n", b);
  printf("              c = |%E|\n", c);
  printf("              d = |%E|\n\n", d);
  
  printf("Using %%12.3E, a = |%12.3E|\n", a);
  printf("              b = |%12.3E|\n", b);
  printf("              c = |%12.3E|\n", c);
  printf("              d = |%12.3E|\n\n", d);
  
  printf("Using %%G,     a = |%G|\n", a);
  printf("              b = |%G|\n", b);
  printf("              c = |%G|\n", c);
  printf("              d = |%G|\n\n", d);
  
}
